function getProfile() {
  liff
    .getProfile()
    .then(profile => {
      console.log(JSON.stringify(profile));
      window.alert(JSON.stringify(profile));
    })
    .catch(e => {
      console.log(e);
      window.alert(e);
    });
}
function getAccessToken() {
  window.alert(liff.getAccessToken());
}
function getContext() {
  window.alert(JSON.stringify(liff.getContext()));
}

function sendMessage() {
  liff
    .sendMessages([{ type: "text", text: "中文測試 Hello from LIFF2.0" }])
    .then(() => {
      window.alert("Message has been sent");
    })
    .catch(e => {
      window.alert(e);
    });
}

function login() {
  liff.login();
}

function scanCode() {
  liff
    .scanCode()
    .then(result => {
      window.alert(JSON.stringify(result));
    })
    .catch(e => {
      window.alert(e);
    });
}

function openWindow() {
  liff.openWindow({
    url: "https://sirateek.me",
    external: true
  });
}

function closeWindow() {
  liff.closeWindow();
}

function logout() {
  if (liff.isLoggedIn()) {
    liff.logout();
    window.alert("Successfully to Logout");
    location.reload();
  }
}


function createFlexMessageData() {
  var myFlexContent = 
  {
    "type": "carousel",
    "contents": [
      {
        "type": "bubble",
        "size": "nano",
        "header": {
          "type": "box",
          "layout": "vertical",
          "contents": [
            {
              "type": "text",
              "text": "In Progress",
              "color": "#ffffff",
              "align": "start",
              "size": "md",
              "gravity": "center"
            },
            {
              "type": "text",
              "text": "70%",
              "color": "#ffffff",
              "align": "start",
              "size": "xs",
              "gravity": "center",
              "margin": "lg"
            }
          ],
          "backgroundColor": "#27ACB2",
          "paddingTop": "19px",
          "paddingAll": "12px",
          "paddingBottom": "16px"
        },
        "body": {
          "type": "box",
          "layout": "vertical",
          "contents": [
            {
              "type": "box",
              "layout": "horizontal",
              "contents": [
                {
                  "type": "text",
                  "text": "Buy milk and lettuce before class",
                  "color": "#8C8C8C",
                  "size": "sm",
                  "wrap": true
                }
              ],
              "flex": 1
            }
          ],
          "spacing": "md",
          "paddingAll": "12px"
        },
        "styles": {
          "footer": {
            "separator": false
          }
        }
      },
      {
        "type": "bubble",
        "size": "nano",
        "header": {
          "type": "box",
          "layout": "vertical",
          "contents": [
            {
              "type": "text",
              "text": "Pending",
              "color": "#ffffff",
              "align": "start",
              "size": "md",
              "gravity": "center"
            },
            {
              "type": "text",
              "text": "30%",
              "color": "#ffffff",
              "align": "start",
              "size": "xs",
              "gravity": "center",
              "margin": "lg"
            }
          ],
          "backgroundColor": "#FF6B6E",
          "paddingTop": "19px",
          "paddingAll": "12px",
          "paddingBottom": "16px"
        },
        "body": {
          "type": "box",
          "layout": "vertical",
          "contents": [
            {
              "type": "box",
              "layout": "horizontal",
              "contents": [
                {
                  "type": "text",
                  "text": "Wash my car",
                  "color": "#8C8C8C",
                  "size": "sm",
                  "wrap": true
                }
              ],
              "flex": 1
            }
          ],
          "spacing": "md",
          "paddingAll": "12px"
        },
        "styles": {
          "footer": {
            "separator": false
          }
        }
      },
      {
        "type": "bubble",
        "size": "nano",
        "header": {
          "type": "box",
          "layout": "vertical",
          "contents": [
            {
              "type": "text",
              "text": "In Progress",
              "color": "#ffffff",
              "align": "start",
              "size": "md",
              "gravity": "center"
            },
            {
              "type": "text",
              "text": "100%",
              "color": "#ffffff",
              "align": "start",
              "size": "xs",
              "gravity": "center",
              "margin": "lg"
            }
          ],
          "backgroundColor": "#A17DF5",
          "paddingTop": "19px",
          "paddingAll": "12px",
          "paddingBottom": "16px"
        },
        "body": {
          "type": "box",
          "layout": "vertical",
          "contents": [
            {
              "type": "box",
              "layout": "horizontal",
              "contents": [
                {
                  "type": "text",
                  "text": "Buy milk and lettuce before class",
                  "color": "#8C8C8C",
                  "size": "sm",
                  "wrap": true
                }
              ],
              "flex": 1
            }
          ],
          "spacing": "md",
          "paddingAll": "12px"
        },
        "styles": {
          "footer": {
            "separator": false
          }
        }
      }
    ]
  };

  var flex = {
      "type": "flex",
      "altText": 'title',
      "contents": myFlexContent,
    };

  return flex;
}

function shareTargetPicker() {
  liff
    .shareTargetPicker([
      createFlexMessageData()      
    ])
    .then(() => {
      alert("Shared to the friend(s) you picked");
    })
    .catch(function(res) {
      alert(res);
    });
}
